<configs>
<append xpath="/blocks">	
<block name="Pink_Flower[T]">
			<property name="Extends" value="cropsHarvestableMaster"/>
			<property name="DisplayInfo" value="Name"/>
			<property name="PlantGrowing.FertileLevel" value="6"/>
			<property name="PlaceEverywhere" value="true"/>
			<property name="EconomicValue" value="75" />

			<property name="CustomIcon" value="Pink_Flower_Icon[T]"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="Model" value="#@modfolder:Resources/PinkFlower.unity3d?PinkFlowerPrefab"/>
			<property name="Collide" value="melee,bullet,arrow,rocket"/><!--
			<drop event="Harvest" name="Pink_Flower[T]" count="1" tag="cropHarvest"/>-->
		</block>
<block name="Empty_Flower_Pot[T]">
			<property name="Group" value="Building"/>
			<property name="CustomIcon" value="Empty_Flower_Pot_Icon[T]" />
			<property name="Material" value="Mfarmland"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="Path" value="solid"/>
			<property name="Model" value="#@modfolder:Resources/PottedPlantEmpty.unity3d?PottedPlantEmptyPrefab"/>
			<!-- <property name="ImposterExchange" value="imposterBlock" param1="67"/> -->
			<property name="FuelValue" value="300"/>
			<property name="CreativeMode" value="Player"/>
			<property class="RepairItems"> <property name="resourceWood" value="3"/> </property>
			<drop event="Harvest" name="resourceWood" count="2" tag="allHarvest"/>
			<drop event="Destroy" count="0"/>
			<drop event="Fall" name="terrDestroyedWoodDebris" count="1" prob="0.75" stick_chance="1"/>
			<property name="EconomicValue" value="250"/>
			<property name="EconomicBundleSize" value="1"/>
			<property name="FilterTags" value="fbuilding,fwood"/>
		</block>
<block name="Kitchen_Cutting_Board[T]">
			<property name="Group" value="Building"/>
			<property name="CustomIcon" value="Kitchen_Cutting_Board_Icon[T]" />
			<property name="Material" value="Mwood_weak"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="StabilitySupport" value="false"/>
	<property name="MultiBlockDim" value="1,1,1"/>
			<property name="Path" value="solid"/>
			<property name="Model" value="#@modfolder:Resources/KitchenCuttingBoard.unity3d?KitchenCuttingBoardPrefab"/>
			<!-- <property name="ImposterExchange" value="imposterBlock" param1="67"/> -->
			<property name="FuelValue" value="300"/>
			<property name="CreativeMode" value="Player"/>
			<property class="RepairItems"> <property name="resourceWood" value="3"/> </property>
			<drop event="Harvest" name="resourceWood" count="2" tag="allHarvest"/>
			<drop event="Destroy" count="0"/>
			<drop event="Fall" name="terrDestroyedWoodDebris" count="1" prob="0.75" stick_chance="1"/>
			<property name="EconomicValue" value="10"/>
			<property name="EconomicBundleSize" value="20"/>
			<property name="FilterTags" value="fbuilding,fwood"/>
			<property name="Collide" value="melee,bullet,arrow,rocket"/>
			<property name="SortOrder1" value="4020"/>
			<property name="SortOrder2" value="0002"/>
			<property name="EconomicValue" value="150" />
		</block>
<block name="Frying_Pan_Decoration[T]">
			<property name="Group" value="Building"/>
			<property name="CustomIcon" value="Frying_Pan_Decoration_Icon[T]" />
			<property name="Material" value="Mmetal_thin"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="Path" value="solid"/>
			<property name="Model" value="#@modfolder:Resources/KitchenFryingPan.unity3d?KitchenFryingPanPrefab"/>
			<!-- <property name="ImposterExchange" value="imposterBlock" param1="67"/> -->
			<property name="FuelValue" value="300"/>
			<property name="Place" value="TowardsPlacerInverted"/>
			<property name="CreativeMode" value="Player"/>
			<property class="RepairItems"> <property name="resourceScrapIron" value="3"/> </property>
			<drop event="Harvest" name="resourceScrapIron" count="2" tag="allHarvest"/>
			<drop event="Destroy" count="0"/>
			<drop event="Fall" name="terrDestroyedWoodDebris" count="1" prob="0.75" stick_chance="1"/>
			<property name="EconomicValue" value="10"/>
			<property name="EconomicBundleSize" value="20"/>
			<property name="FilterTags" value="fbuilding,fwood"/>
			<property name="EconomicValue" value="150" />
		</block>
<block name="Food_Cart_HD[T]">
			<property name="Group" value="Building"/>
		
	<property name="Class" value="VendingMachine"/>
	<property name="TraderID" value="4"/>
			<property name="Material" value="Mwood_regular"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="Path" value="solid"/>
			<!-- <property name="ImposterExchange" value="imposterBlock" param1="67"/> -->
			<property name="FuelValue" value="300"/>
			<property name="CreativeMode" value="Player"/>
			<property class="RepairItems"> <property name="resourceWood" value="3"/> </property>
			<drop event="Harvest" name="resourceWood" count="2" tag="allHarvest"/>
			<drop event="Destroy" count="0"/>
			<drop event="Fall" name="terrDestroyedWoodDebris" count="1" prob="0.75" stick_chance="1"/>
			<property name="EconomicValue" value="10"/>
			<property name="EconomicBundleSize" value="20"/>
			<property name="FilterTags" value="fbuilding,fwood"/>
			<property name="Model" value="#@modfolder:Resources/FoodCartHD.unity3d?FoodCartHDPrefab"/>
			<property name="CustomIcon" value="FoodCartHDIcon[T]" />
			<property name="MultiBlockDim" value="3,2,2"/>
			<property name="EconomicValue" value="3500" />
		</block>
<block name="Red_Flower[T]">
			<property name="Extends" value="Pink_Flower[T]" />
			<property name="Model" value="#@modfolder:Resources/RedFlower.unity3d?RedFlowerPrefab"/>
			<property name="CustomIcon" value="Red_Flower_Icon[T]" />
			<drop event="Harvest" name="Red_Flower[T]" count="1" tag="cropHarvest"/>
		</block>
<block name="Blue_Flower[T]">
			<property name="Extends" value="Pink_Flower[T]" />
			<property name="Model" value="#@modfolder:Resources/BlueFlower.unity3d?BlueFlowerPrefab"/>
			<property name="CustomIcon" value="Blue_Flower_Icon[T]" />
			<drop event="Harvest" name="Blue_Flower[T]" count="1" tag="cropHarvest"/>
		</block>
<block name="Yellow_Flower[T]">
			<property name="Extends" value="Pink_Flower[T]"/>
			<property name="Model" value="#@modfolder:Resources/YellowFlower.unity3d?YellowFlowerPrefab"/>
			<property name="CustomIcon" value="Yellow_Flower_Icon[T]" />
			<drop event="Harvest" name="Yellow_Flower[T]" count="1" tag="cropHarvest"/>
		</block>
<block name="Purple_Flower[T]">
			<property name="Extends" value="Pink_Flower[T]"/>
			<property name="Model" value="#@modfolder:Resources/PurpleFlower.unity3d?PurpleFlowerPrefab"/>
			<property name="CustomIcon" value="Purple_Flower_Icon[T]" />
			<drop event="Harvest" name="Purple_Flower[T]" count="1" tag="cropHarvest"/>
		</block>
<block name="Random_Flower[T]">
			<property name="Extends" value="Pink_Flower[T]"/>
			<property name="Model" value="#@modfolder:Resources/PurpleFlower.unity3d?PurpleFlowerPrefab"/>
			<property name="CustomIcon" value="Purple_Flower_Icon[T]" />
			<drop event="Harvest" name="Purple_Flower[T]" count="1" tag="cropHarvest"/>
			<property name="PlaceAltBlockValue" value="Pink_Flower[T],Red_Flower[T],Blue_Flower[T],Yellow_Flower[T],Purple_Flower[T]"/>
			
		</block>
<block name="Thumper_Caller[T]">
			<property name="Group" value="Building"/>
			<property name="CustomIcon" value="Thumper_Caller_Icon[T]" />
			<property name="Material" value="Mmetal"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="StabilitySupport" value="false"/>
			<property name="ModelOffset" value="0,.3,0"/>
			<property name="Path" value="solid"/>
			<property name="Model" value="#@modfolder:Resources/ThumperCaller.unity3d?ThumperCallerPrefab"/>
			<!-- <property name="ImposterExchange" value="imposterBlock" param1="67"/> -->
			<property name="FuelValue" value="300"/>
			<property name="CreativeMode" value="Player"/>
			<property class="RepairItems"> <property name="resourceWood" value="3"/> </property>
			<drop event="Destroy" count="0"/>
			<drop event="Fall" name="terrDestroyedWoodDebris" count="1" prob="0.75" stick_chance="1"/>
			<property class="UpgradeBlock">
		<property name="ToBlock" value="Thumper[T]"/>
		<property name="Item" value="resourceWood"/>
		<property name="ItemCount" value="5"/>
		<property name="UpgradeHitCount" value="2"/>
	</property>
			<property name="EconomicValue" value="10"/>
			<property name="EconomicBundleSize" value="20"/>
			<property name="FilterTags" value="fbuilding,fwood"/>
			<property name="Collide" value="movement,melee,bullet,arrow,rocket"/>
			<property name="SortOrder1" value="4020"/>
			<property name="SortOrder2" value="0002"/>
		</block>	
<block name="Thumper[T]">
			<property name="Group" value="Building"/>
			<property name="CustomIcon" value="Thumper_Icon[T]" />
	<property name="Class" value="PlantGrowing"/>
	<property name="PlantGrowing.FertileLevel" value="0"/>
	<property name="PlantGrowing.Next" value="Level_1_Thumper_Rewards_Sealed[T]"/>
	<property name="PlantGrowing.GrowthRate" value="3"/>
	<property name="PlantGrowing.IsRandom" value="false"/>
	<property name="PlantGrowing.LightLevelStay" value="0"/>
			<property name="DescriptionKey" value="woodFrameGroupDesc"/>
			<property name="Material" value="Mmetal"/>
			<property name="MaxDamage" value="500"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="StabilitySupport" value="true"/>
	<property name="Tag" value="Door"/>
	<property name="MultiBlockDim" value="2,2,2"/>
			<property name="Path" value="solid"/>
			<property name="Model" value="#@modfolder:Resources/Thumper.unity3d?ThumperPrefab"/>
			<!-- <property name="ImposterExchange" value="imposterBlock" param1="67"/> -->
			<property name="FuelValue" value="300"/>
			<property name="CreativeMode" value="Player"/>
			<drop event="Destroy" count="0"/>
			<drop event="Fall" name="terrDestroyedWoodDebris" count="1" prob="0.75" stick_chance="1"/>
			<property name="EconomicValue" value="10"/>
			<property name="EconomicBundleSize" value="20"/>
			<property name="FilterTags" value="fbuilding,fwood"/>
			<property name="Collide" value="movement,melee,bullet,arrow,rocket"/>
			<property name="SortOrder1" value="4020"/>
			<property name="SortOrder2" value="0002"/>
			<property class="RepairItems"> <property name="resourceWood" value="10"/> </property>
			<property class="UpgradeBlock">
		<property name="ToBlock" value="Level_1_Thumper_Rewards_Sealed[T]"/>
		<property name="Item" value="resourceWood"/>
		<property name="ItemCount" value="5"/>
		<property name="UpgradeHitCount" value="35"/>
	</property>
		</block>
<block name="Painting_Cold_Mountain[T]">
	<property name="CreativeMode" value="Player"/>
	<property name="Material" value="Mglass"/>
	<property name="StabilitySupport" value="false"/>
	<property name="CustomIcon" value="Painting_Cold_Mountain[T]_Icon" />
	<property name="Shape" value="ModelEntity"/>
	<property name="Model" value="#@modfolder:Resources/ColdMountain.unity3d?ColdMountainPrefab" param1="main_mesh"/>
	<property name="Place" value="TowardsPlacerInverted"/>
	<property name="IsDecoration" value="true"/>
	<property name="ImposterDontBlock" value="true"/>
	<!-- <drop event="Destroy" name="resourceBrokenGlass" count="1,2"/>	-->
	<drop event="Destroy" count="0"/>
	<property name="FilterTags" value="fdecor,fother"/>
	<property name="SortOrder1" value="7000"/>
	<property name="SortOrder2" value="0002"/>
	<property name="DescriptionKey" value="decorativeBlockGroupDesc"/>
			<property name="EconomicValue" value="50" />
</block>
<block name="Painting_White_Sand[T]">
	<property name="Extends" value="Painting_Cold_Mountain[T]" />
	<property name="CustomIcon" value="Painting_White_Sand[T]_Icon" />
		<property name="Model" value="#@modfolder:Resources/WhiteSand.unity3d?WhiteSandPrefab" param1="main_mesh"/>
			<property name="EconomicValue" value="50" />
</block>
<block name="Painting_Seashell_Seashore[T]">
	<property name="Extends" value="Painting_Cold_Mountain[T]" />
	<property name="CustomIcon" value="Painting_Seashell_Seashore[T]_Icon" />
		<property name="Model" value="#@modfolder:Resources/SeashellSeashore.unity3d?SeashellSeashorePrefab" param1="main_mesh"/>
			<property name="EconomicValue" value="50" />
</block>
<block name="Green_Christmas_Present[T]">
			<property name="Group" value="Building"/>
			<property name="CustomIcon" value="Green_Christmas_Present[T]_Icon" />
			<property name="DescriptionKey" value="woodFrameGroupDesc"/>
			<property name="Material" value="Mcloth"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="StabilitySupport" value="false"/>
			<property name="Path" value="solid"/>
			<property name="Model" value="#@modfolder:Resources/ChristmasGiftGreen.unity3d?ChristmasGiftGreenPrefab"/>
			<!-- <property name="ImposterExchange" value="imposterBlock" param1="67"/> -->
			<property name="FuelValue" value="300"/>
			<property name="CreativeMode" value="Player"/>
			<property class="RepairItems"> <property name="resourceWood" value="3"/> </property>
			<drop event="Harvest" name="resourceWood" count="2" tag="allHarvest"/>
			<drop event="Destroy" count="0"/>
			<drop event="Fall" name="terrDestroyedWoodDebris" count="1" prob="0.75" stick_chance="1"/>
			<property name="EconomicValue" value="50"/>
			<property name="FilterTags" value="fbuilding,fwood"/>
			<property name="Collide" value="movement,melee,bullet,arrow,rocket"/>
			<property name="SortOrder1" value="4020"/>
			<property name="SortOrder2" value="0002"/>
		</block>
<block name="Green_Christmas_Present_2[T]">
	<property name="Extends" value="Green_Christmas_Present[T]" />
	<property name="CustomIcon" value="Green_Christmas_Present_2[T]_Icon" />
		<property name="Model" value="#@modfolder:Resources/ChristmasGiftGreen2.unity3d?ChristmasGiftGreen2Prefab" param1="main_mesh"/>
</block>
<block name="Red_Christmas_Present[T]">
	<property name="Extends" value="Green_Christmas_Present[T]" />
	<property name="CustomIcon" value="Red_Christmas_Present[T]_Icon" />
		<property name="Model" value="#@modfolder:Resources/ChristmasGiftRed.unity3d?ChristmasGiftRedPrefab" param1="main_mesh"/>
</block>
<block name="Red_Christmas_Present_2[T]">
	<property name="Extends" value="Green_Christmas_Present[T]" />
	<property name="CustomIcon" value="Red_Christmas_Present_2[T]_Icon" />
		<property name="Model" value="#@modfolder:Resources/ChristmasGiftRed2.unity3d?ChristmasGiftRed2Prefab" param1="main_mesh"/>
</block>
<block name="Candy_Cane[T]">
			<property name="Group" value="Building"/>
			<property name="CustomIcon" value="Candy_Cane[T]_Icon" />
			<property name="Material" value="Mcloth"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="StabilitySupport" value="false"/>
			<property name="Path" value="solid"/>
			<property name="Model" value="#@modfolder:Resources/CandyCane.unity3d?CandyCanePrefab"/>
			<!-- <property name="ImposterExchange" value="imposterBlock" param1="67"/> -->
			<property name="FuelValue" value="300"/>
			<property name="CreativeMode" value="Player"/>
			<property class="RepairItems"> <property name="resourceWood" value="3"/> </property>
			<drop event="Harvest" name="resourceWood" count="2" tag="allHarvest"/>
			<drop event="Destroy" count="0"/>
			<drop event="Fall" name="terrDestroyedWoodDebris" count="1" prob="0.75" stick_chance="1"/>
			<property name="EconomicValue" value="50" />
			<property name="FilterTags" value="fbuilding,fwood"/>
			<property name="Collide" value="movement,melee,bullet,arrow,rocket"/>
			<property name="SortOrder1" value="4020"/>
			<property name="SortOrder2" value="0002"/>
		</block>
<block name="Christmas_Tree[T]">
			<property name="Extends" value="Candy_Cane[T]" />
			<property name="Material" value="Mwood_regular"/>
			<property name="MultiBlockDim" value="1,2,1" />
			<property name="CustomIcon" value="Christmas_Tree[T]_Icon" />
			<property name="Model" value="#@modfolder:Resources/ChristmasTree.unity3d?ChristmasTreePrefab"/>
		</block>
<block name="Christmas_Snow_Man[T]">
			<property name="Extends" value="Candy_Cane[T]" />
			<property name="Material" value="Msnow"/>
			<property name="MultiBlockDim" value="1,2,1" />
			<property name="CustomIcon" value="Christmas_Snow_Man[T]_Icon" />
			<property name="Model" value="#@modfolder:Resources/ChristmasSnowMan.unity3d?ChristmasSnowManPrefab"/>
		</block>
<block name="Asian_Lantern[T]">
			<property name="Extends" value="Candy_Cane[T]" />
			<property name="Material" value="Mwood_regular"/>
			<property name="CustomIcon" value="Asian_Lantern[T]_Icon" />
	<property name="FallDamage" value=".4"/>
			<property name="Model" value="#@modfolder:Resources/AsianLantern.unity3d?AsianLanternPrefab"/>
		</block>
<block name="Jump_Pad[T]">
	<property name="Extends" value="Candy_Cane[T]"/>
			<property name="CustomIcon" value="Jump_Pad[T]_Icon" />
			<property name="Model" value="#@modfolder:Resources/JumpPad.unity3d?JumpPadPrefab"/>
	<property name="BuffsWhenWalkedOn" value="Jump_Pad" />
	<property name="FallDamage" value=".4"/> 
			<property name="Material" value="Mmetal"/>
	<property name="CanPickup" value="true"/>
	<property name="Path" value="solid"/>
</block>
<block name="Level_1_Thumper_Rewards_Sealed[T]"> <!-- do not rename -->
	<property name="CustomIcon" value="cntChest01"/>
	<property name="Material" value="MwoodReinforced"/>
	<property name="StabilitySupport" value="false"/> <!-- build restriction -->
	<property name="Shape" value="Ext3dModel"/> <property name="Texture" value="293"/>
	<property name="Mesh" value="models"/>
	<property name="Model" value="LootContainers/chest01" param1="main_mesh"/> <property name="HandleFace" value="Bottom"/>
	<property name="ImposterExchange" value="imposterQuarter" param1="154"/>
	<property name="IsTerrainDecoration" value="true"/>
	<property name="CreativeMode" value="Player"/>
	<drop event="Destroy" name="resourceWood" count="1,3"/><!--
	<property name="DowngradeBlock" value="Level_1_Thumper_Rewards_Opened[T]"/>-->
	<drop event="Fall" name="terrDestroyedWoodDebris" count="1" prob="0.75" stick_chance="1"/>
	<property name="FilterTags" value="floot"/>	
	<property class="UpgradeBlock">
		<property name="ToBlock" value="Level_1_Thumper_Rewards_Opened[T]"/>
		<property name="Item" value="resourceWood"/>
		<property name="ItemCount" value="5"/>
		<property name="UpgradeHitCount" value="2"/>
	</property>
</block>
<block name="Level_1_Thumper_Rewards_Opened[T]"> <!-- do not rename -->
	<property name="CustomIcon" value="cntChest01"/>
	<property name="Material" value="MwoodReinforced"/>
	<property name="Class" value="Loot"/>
	<property name="LootList" value="124"/>
	<property name="StabilitySupport" value="false"/> <!-- build restriction -->
	<property name="Shape" value="Ext3dModel"/> <property name="Texture" value="293"/>
	<property name="Mesh" value="models"/>
	<property name="Model" value="LootContainers/chest01" param1="main_mesh"/> <property name="HandleFace" value="Bottom"/>
	<property name="ImposterExchange" value="imposterQuarter" param1="154"/>
	<property name="IsTerrainDecoration" value="true"/>
	<property name="CreativeMode" value="Player"/>
	<drop event="Destroy" name="resourceWood" count="1,3"/>
	<drop event="Fall" name="terrDestroyedWoodDebris" count="1" prob="0.75" stick_chance="1"/>
	<property name="FilterTags" value="floot"/>
</block>
<!-- Medieval -->
<block name="Medieval_Well[T]">
			<property name="Group" value="Building"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="Path" value="solid"/>
			<!-- <property name="ImposterExchange" value="imposterBlock" param1="67"/> -->
			<property name="CreativeMode" value="Player"/>
			<property class="RepairItems"> <property name="resourceRockSmall" value="3"/> </property>
			<drop event="Harvest" name="resourceRockSmall" count="2" tag="allHarvest"/>
			<drop event="Destroy" count="0"/>
			<drop event="Fall" name="resourceRockSmall" count="1" prob="0.75" stick_chance="1"/>

			<property name="EconomicValue" value="500" />
			<property name="FilterTags" value="fbuilding,fwood"/>
			<property name="Collide" value="movement,melee,bullet,arrow,rocket"/>
			<property name="CustomIcon" value="MedievalWellIcon[T]" />
			<property name="Model" value="#@modfolder:Resources/MedievalWell.unity3d?MedievalWellPrefab"/>
			<property name="MultiBlockDim" value="1,2,1" />
			<property name="Material" value="Mstone"/>
		</block>
<block name="Medieval_Windmill[T]">
			<property name="Class" value="SolarPanel" />
			<property name="OutputPerStack" value="15"/>
	<property name="IsDistantDecoration" value="true"/> 
			<property name="SlotItem" value="resourceCoal"/>
			<property name="MaxPower" value="180"/>
			<property name="ActivationDistance" value="6"/>
			<property name="Place" value="TowardsPlacerInverted"/>
			<property name="Group" value="Building"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="Path" value="solid"/>
			<!-- <property name="ImposterExchange" value="imposterBlock" param1="67"/> -->
			<property name="CreativeMode" value="Player"/>
			<property class="RepairItems"> <property name="resourceRockSmall" value="3"/> </property>
			<drop event="Harvest" name="resourceRockSmall" count="2" tag="allHarvest"/>
			<drop event="Destroy" count="0"/>
			<drop event="Fall" name="resourceRockSmall" count="1" prob="0.75" stick_chance="1"/>
			<property name="EconomicValue" value="10"/>
			<property name="EconomicBundleSize" value="20"/>
			<property name="FilterTags" value="fbuilding,fwood"/>
			<property name="Collide" value="movement,melee,bullet,arrow,rocket"/>
			<property name="CustomIcon" value="MedievalWindmillIcon[T]" />
			<property name="Model" value="#@modfolder:Resources/MedievalWindmill.unity3d?MedievalWindmillPrefab"/>
			<property name="Material" value="Mstone"/>
			<property name="EconomicValue" value="500" />
	</block>
<block name="Windmill[T]">
		<property name="Extends" value="Medieval_Windmill[T]" />
		<property name="CustomIcon" value="MedievalWindmillOnlyIcon[T]" />
		<property name="Model" value="#@modfolder:Resources/MedievalWindmillOnly.unity3d?MedievalWindmillOnlyPrefab"/>
	</block>
<block name="Medieval_Lamp_Post[T]">
			<property name="Group" value="Building"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="Path" value="solid"/>
			<!-- <property name="ImposterExchange" value="imposterBlock" param1="67"/> -->
			<property name="CreativeMode" value="Player"/>
			<property class="RepairItems"> <property name="resourceRockSmall" value="3"/> </property>
			<drop event="Harvest" name="resourceRockSmall" count="2" tag="allHarvest"/>
			<drop event="Destroy" count="0"/>
			<drop event="Fall" name="resourceRockSmall" count="1" prob="0.75" stick_chance="1"/>

			<property name="EconomicValue" value="250" />
			<property name="FilterTags" value="fbuilding,fwood"/>
			<property name="Collide" value="movement,melee,bullet,arrow,rocket"/>
			<property name="CustomIcon" value="MedievalLampPostIcon[T]" />
			<property name="Model" value="#@modfolder:Resources/MedievalLampPost.unity3d?MedievalLampPostPrefab"/>
			<property name="MultiBlockDim" value="1,2,1" />
			<property name="Material" value="Mstone"/>
		</block>	
<block name="Modern_Windmill[T]">
		<property name="Extends" value="Medieval_Windmill[T]" />
		<property name="CustomIcon" value="ModernWindmillIcon[T]" />
		<property name="Model" value="#@modfolder:Resources/ModernWindmill.unity3d?ModernWindmillPrefab"/>
	</block>
<block name="Medieval_Watermill[T]">
			<property name="Group" value="Building"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="Path" value="solid"/>
			<!-- <property name="ImposterExchange" value="imposterBlock" param1="67"/> -->
			<property name="CreativeMode" value="Player"/>
			<property class="RepairItems"> <property name="resourceRockSmall" value="3"/> </property>
			<drop event="Harvest" name="resourceRockSmall" count="2" tag="allHarvest"/>
			<drop event="Destroy" count="0"/>
			<drop event="Fall" name="resourceRockSmall" count="1" prob="0.75" stick_chance="1"/>

			<property name="EconomicValue" value="450" />
			<property name="FilterTags" value="fbuilding,fwood"/>
			<property name="Collide" value="movement,melee,bullet,arrow,rocket"/>
			<property name="CustomIcon" value="MedievalWellIcon[T]" />
			<property name="Model" value="#@modfolder:Resources/MedievalWaterMill.unity3d?MedievalWaterMillPrefab"/>
			<property name="MultiBlockDim" value="1,1,1" />
			<property name="Material" value="Mstone"/>
		</block>

<!-- Archaeology -->
<block name="Fossil_Head[T]">
			<property name="Group" value="Building"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="Path" value="solid"/>
			<!-- <property name="ImposterExchange" value="imposterBlock" param1="67"/> -->
			<property name="CreativeMode" value="Player"/>
			<property class="RepairItems"> <property name="resourceRockSmall" value="3"/> </property>
			<drop event="Harvest" name="resourceFemur" count="5" tag="allHarvest"/>
			<drop event="Harvest" name="Fossil[T]" count="2,3" tag="allHarvest"/>
			<drop event="Harvest" name="Odd_Looking_Bone[T]" count="1" prob="0.045" />
			<drop event="Destroy" count="0"/>
			<drop event="Fall" name="resourceRockSmall" count="1" prob="0.75" stick_chance="1"/>
			<property name="EconomicValue" value="10"/>
			<property name="EconomicBundleSize" value="20"/>
			<property name="FilterTags" value="fbuilding,fwood"/>
			<property name="Collide" value="movement,melee,bullet,arrow,rocket"/>
			<property name="CustomIcon" value="FossilHeadBlockIcon[T]" />
			<property name="Model" value="#@modfolder:Resources/FossilHead.unity3d?FossilHeadPrefab"/>
			<property name="Material" value="Mstone"/>
		</block>
<block name="Covered_Pristine_Fossil_Head[T]">
	<property name="Class" value="Loot"/>
	<property name="LootList" value="125"/>
			<property name="Group" value="Building"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="Path" value="solid"/>
			<!-- <property name="ImposterExchange" value="imposterBlock" param1="67"/> -->
			<property name="CreativeMode" value="Player"/>
			<property class="RepairItems"> <property name="resourceRockSmall" value="3"/> </property>
			<drop event="Destroy" count="0"/>
			<drop event="Fall" name="resourceRockSmall" count="1" prob="0.75" stick_chance="1"/>
			<property name="MaxDamage" value="5000" />
			<property name="EconomicValue" value="10"/>
			<property name="EconomicBundleSize" value="20"/>
			<property name="FilterTags" value="fbuilding,fwood"/>
			<property name="Collide" value="movement,melee,bullet,arrow,rocket"/>
			<property name="CustomIcon" value="FossilHeadBlockIcon[T]" />
			<property name="Model" value="#@modfolder:Resources/CoveredPristineFossilHead.unity3d?CoveredPristineFossilHeadPrefab"/>
			<property name="Material" value="Mstone"/>
			<property name="DowngradeBlock" value="Pristine_Fossil_Head[T]" prob="0.50"/>
		</block>
<block name="Pristine_Fossil_Head[T]">
			<property name="Group" value="Building"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="Path" value="solid"/>
			<!-- <property name="ImposterExchange" value="imposterBlock" param1="67"/> -->
			<property name="CreativeMode" value="Player"/>
			<property class="RepairItems"> <property name="resourceRockSmall" value="3"/> </property>
			<drop event="Destroy" name="Pristine_Fossil[T]" count="1"/>
			<drop event="Fall" name="resourceRockSmall" count="1" prob="0.75" stick_chance="1"/>
			<property name="EconomicValue" value="10"/>
			<property name="EconomicBundleSize" value="20"/>
			<property name="FilterTags" value="fbuilding,fwood"/>
			<property name="Collide" value="movement,melee,bullet,arrow,rocket"/>
			<property name="CustomIcon" value="FossilHeadBlockIcon[T]" />
			<property name="Model" value="#@modfolder:Resources/PristineFossilHead.unity3d?PristineFossilHeadPrefab"/>
			<property name="Material" value="Mstone"/>
		</block>
<block name="Archaeology_Surveyor[T]">
			<property name="Group" value="Building"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="Path" value="solid"/>
			<!-- <property name="ImposterExchange" value="imposterBlock" param1="67"/> -->
			<property name="CreativeMode" value="Player"/>
			<property class="RepairItems"> <property name="resourceRockSmall" value="3"/> </property>
			<drop event="Destroy" count="0"/>
			<drop event="Fall" name="resourceRockSmall" count="1" prob="0.75" stick_chance="1"/>
			<property name="EconomicValue" value="150"/>
			<property name="FilterTags" value="fbuilding,fwood"/>
			<property name="Collide" value="movement,melee,bullet,arrow,rocket"/>
			<property name="CustomIcon" value="SurveyEquipmentIcon[T]" />
			<property name="Model" value="#@modfolder:Resources/SurveyEquipmentRed.unity3d?SurveyEquipmentRedPrefab"/>
			<property name="Material" value="Mmetal"/>
		</block>
<block name="Archaeology_Surveyor_Static[T]">
		<property name="Extends" value="Archaeology_Surveyor[T]" />
			<property name="Model" value="#@modfolder:Resources/SurveyEquipmentStatic.unity3d?SurveyEquipmentStaticPrefab"/>
	</block>
<!-- Plants for Summerset -->
<!-- Seed Template -->
<block name="Seed_Template[T]">
			<property name="Extends" value="cropsGrowingMaster" param1="CustomIcon"/>
			<property name="CreativeMode" value="Player"/>
			<property name="Texture" value="401"/>
			<property name="Group" value="Food/Cooking"/>
			<property name="CustomIcon" value="SeedsStrawberryIcon[T]" />
			<property name="EconomicValue" value="150" />
	<property name="CustomUpgradeSound" value="WateringCanPour"/>
		</block>
<block name="Strawberry_Seed_Packet[T]">
			<property name="Extends" value="cropsGrowingMaster"/>
			<property name="CreativeMode" value="Player"/>
			<property name="Texture" value="401"/>
			<property name="PlantGrowing.Next" value="Strawberry_Bush[T]"/>
			<property name="Group" value="Food/Cooking"/>
			<drop event="Destroy" name="Strawberry_Seed_Packet[T]" count="1"/>
			<property name="CustomIcon" value="SeedsStrawberryIcon2[T]" />
			<property class="UpgradeBlock">
		<property name="ToBlock" value="Strawberry_Bush[T]"/>
		<property name="Item" value="drinkJarBoiledWater"/>
		<property name="ItemCount" value="1"/>
		<property name="UpgradeHitCount" value="1"/>
	</property>
		<property name="CustomUpgradeSound" value="WateringCanPour"/>
		</block>
<block name="Tomato_Seed_Packet[T]">
			<property name="Extends" value="Seed_Template[T]"/>
			<property name="PlantGrowing.Next" value="Tomato_Trellis[T]"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="Model" value="#@modfolder:Resources/TomatoTrellisEmpty.unity3d?TomatoTrellisEmptyPrefab"/>
			<drop event="Destroy" name="Tomato_Seed_Packet[T]" count="1"/>
			<property name="CustomIcon" value="SeedsTomatoIcon2[T]" />
			<property class="UpgradeBlock">
		<property name="ToBlock" value="Tomato_Trellis[T]"/>
		<property name="Item" value="drinkJarBoiledWater"/>
		<property name="ItemCount" value="1"/>
		<property name="UpgradeHitCount" value="1"/>
	</property>
	<property name="CustomUpgradeSound" value="WateringCanPour"/>
		</block>
<block name="Wheat_Seed_Packet[T]">
			<property name="Extends" value="Seed_Template[T]"/>
			<property name="PlantGrowing.Next" value="Wheat_Plant[T]"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="Model" value="#@modfolder:Resources/WheatPlanted.unity3d?WheatPlantedPrefab"/>
			<drop event="Destroy" name="Wheat_Seed_Packet[T]" count="1"/>
			<property name="CustomIcon" value="SeedsWheatIcon[T]" />
						<property class="UpgradeBlock">
		<property name="ToBlock" value="Wheat_Plant[T]"/>
		<property name="Item" value="drinkJarBoiledWater"/>
		<property name="ItemCount" value="1"/>
		<property name="UpgradeHitCount" value="1"/>
	</property>
	<property name="CustomUpgradeSound" value="WateringCanPour"/>
		</block>
<block name="Orange_Tree_Seed_Packet[T]">
			<property name="Extends" value="Seed_Template[T]"/>
			<property name="PlantGrowing.Next" value="Orange_Tree[T]"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="Model" value="#@modfolder:Resources/OrangeTreePlanted.unity3d?OrangeTreePlantedPrefab"/>
			<drop event="Destroy" name="Orange_Tree_Seed_Packet[T]" count="1"/>
			<property name="CustomIcon" value="SeedsOrangeIcon[T]" />
			<property class="UpgradeBlock">
		<property name="ToBlock" value="Orange_Tree[T]"/>
		<property name="Item" value="drinkJarBoiledWater"/>
		<property name="ItemCount" value="1"/>
		<property name="UpgradeHitCount" value="1"/>
	</property>
	<property name="CustomUpgradeSound" value="WateringCanPour"/>
		</block>
<!-- Planted Template -->
<block name="Planted_Template[T]">
			<property name="Extends" value="cropsHarvestableMaster"/>
			<property name="DisplayInfo" value="Name"/>
			<property name="PlantGrowing.FertileLevel" value="6"/>
			<property name="PlaceEverywhere" value="true"/>

			<property name="CustomIcon" value="StrawberryBushIcon[T]"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="Model" value="#@modfolder:Resources/StrawberryBush.unity3d?StrawberryBushPrefab"/>
			<property name="Collide" value="melee,bullet,arrow,rocket"/>
			<property name="DowngradeBlock" value="Strawberry_Seed_Packet[T]"/>
		</block>
<block name="Strawberry_Bush[T]">
			<property name="Extends" value="Planted_Template[T]"/>
			<property name="CustomIcon" value="StrawberryBushIcon[T]"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="Model" value="#@modfolder:Resources/StrawberryBush.unity3d?StrawberryBushPrefab"/>
			<drop event="Harvest" name="Strawberry[T]" count="1" tag="cropHarvest"/>
			<property name="DowngradeBlock" value="Strawberry_Seed_Packet[T]"/>
		</block>
<block name="Tomato_Trellis[T]">
			<property name="Extends" value="Planted_Template[T]"/>
			<property name="CustomIcon" value="TomatoTrellisIcon[T]"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="Model" value="#@modfolder:Resources/TomatoTrellis.unity3d?TomatoTrellisPrefab"/>
			<drop event="Harvest" name="Tomato[T]" count="1" tag="cropHarvest"/>
			<property name="DowngradeBlock" value="Tomato_Seed_Packet[T]"/>
		</block>
<block name="Wheat_Plant[T]">
			<property name="Extends" value="Planted_Template[T]"/>
			<property name="CustomIcon" value="WheatIcon[T]"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="Model" value="#@modfolder:Resources/WheatGrown.unity3d?WheatGrownPrefab"/>
			<drop event="Harvest" name="Wheat[T]" count="1" tag="cropHarvest"/>
			<property name="DowngradeBlock" value="Wheat_Seed_Packet[T]"/>
		</block>
<block name="Orange_Tree[T]">
			<property name="Extends" value="Planted_Template[T]"/>
			<property name="CustomIcon" value="OrangeTreeIcon[T]"/>
			<property name="MultiBlockDim" value="1,4,1" />
			<property name="Collide" value="movement,melee,bullet,arrow,rocket"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="BigDecorationRadius" value="5"/>
			<property name="Model" value="#@modfolder:Resources/OrangeTreeGrown.unity3d?OrangeTreeGrownPrefab"/>
			<drop event="Harvest" name="Orange[T]" count="1" tag="cropHarvest"/>
			<drop event="Harvest" name="resourceWood" count="30" tag="oreWoodHarvest"/>
			<property name="DowngradeBlock" value="Orange_Tree_Seed_Packet[T]"/>
		</block>
<!-- Placed Template -->	
<block name="Whole_Template[T]">
			<property name="Group" value="Building"/>
			<property name="DisplayInfo" value="Name"/>
			<property name="CustomIcon" value="StrawberryItemIcon[T]" />
			<property name="Material" value="Morganic"/>
			<property name="MaxDamage" value="50" />
			<property name="Shape" value="ModelEntity"/>
			<property name="StabilitySupport" value="false"/>
			<property name="Path" value="solid"/>
			<property name="Model" value="#@modfolder:Resources/PlacedStrawberry.unity3d?PlacedStrawberryPrefab"/>
			<!-- <property name="ImposterExchange" value="imposterBlock" param1="67"/> -->
			<property name="FuelValue" value="300"/>
			<property name="CreativeMode" value="Player"/>
			<drop event="Destroy" count="0"/>
			<drop event="Fall" name="terrDestroyedWoodDebris" count="1" prob="0.75" stick_chance="1"/>
			<property name="EconomicValue" value="10"/>
			<property name="EconomicBundleSize" value="20"/>
			<property name="FilterTags" value="fbuilding,fwood"/>
			<property name="Collide" value="movement,melee,bullet,arrow,rocket"/>
			<property name="SortOrder1" value="4020"/>
			<property name="SortOrder2" value="0002"/>
		</block>
<block name="Whole_Strawberry[T]">
			<property name="Extends" value="Whole_Template[T]" />
			<property name="CustomIcon" value="StrawberryItemIcon[T]" />
			<property name="Model" value="#@modfolder:Resources/PlacedStrawberry.unity3d?PlacedStrawberryPrefab"/>
			<drop event="Harvest" name="Sliced_Strawberry[T]" count="5" tag="KitchenKnife"/>
			<drop event="Harvest" name="Strawberry_Jam[T]" count="1" tag="MasonJar"/>
		</block>
<block name="Whole_Tomato[T]">
			<property name="Extends" value="Whole_Template[T]" />
			<property name="CustomIcon" value="Tomato_Icon[T]" />
			<property name="Model" value="#@modfolder:Resources/PlacedTomato.unity3d?PlacedTomatoPrefab"/>
			<drop event="Harvest" name="Sliced_Tomato[T]" count="5" tag="KitchenKnife"/>
		</block>
<block name="Useable_Wheat[T]">
			<property name="Extends" value="Whole_Template[T]" />
			<property name="CustomIcon" value="WheatIcon[T]" />
			<property name="Model" value="#@modfolder:Resources/WheatGrown.unity3d?WheatGrownPrefab"/>
			<drop event="Harvest" name="Sliced_Tomato[T]" count="5" tag="KitchenKnife"/>
		</block>
<block name="Whole_Bread[T]">
			<property name="Extends" value="Whole_Template[T]" />
			<property name="CustomIcon" value="WheatIcon[T]" />
			<property name="Model" value="#@modfolder:Resources/BreadLoaf.unity3d?BreadLoafPrefab"/>
			<drop event="Harvest" name="Sliced_Bread[T]" count="2" tag="KitchenKnife"/>
		</block>
<block name="Large_African_Cichlid[T]">
			<property name="Extends" value="Whole_Template[T]" />
			<property name="CustomIcon" value="WheatIcon[T]" />
			<property name="Model" value="#@modfolder:Resources/PlacedAfricanCichlid.unity3d?PlacedAfricanCichlidPrefab"/>
			<drop event="Harvest" name="Necklace[T]" count="1" tag="KitchenKnife"/>
		</block>
<!-- Paintings -->
<block name="Flower_Shop_Painting_1[T]">
	<property name="CreativeMode" value="Player"/>
	<property name="Material" value="Mglass"/>
	<property name="StabilitySupport" value="false"/>
	<property name="CustomIcon" value="FlowerShopPainting1Icon[T]" />
	<property name="Shape" value="ModelEntity"/>
	<property name="Model" value="#@modfolder:Resources/FlowerShopPainting1.unity3d?FlowerShopPainting1Prefab" param1="main_mesh"/>
	<property name="EconomicValue" value="75" />
	<property name="Place" value="TowardsPlacerInverted"/>
	<property name="IsDecoration" value="true"/>
	<property name="ImposterDontBlock" value="true"/>
	<!-- <drop event="Destroy" name="resourceBrokenGlass" count="1,2"/>	-->
	<drop event="Destroy" count="0"/>
	<property name="FilterTags" value="fdecor,fother"/>
	<property name="SortOrder1" value="7000"/>
	<property name="SortOrder2" value="0002"/>
	<property name="DescriptionKey" value="decorativeBlockGroupDesc"/>
</block>
<block name="Flower_Shop_Painting_2[T]">
	<property name="Extends" value="Flower_Shop_Painting_1[T]" />
	<property name="CustomIcon" value="FlowerShopPainting2Icon[T]" />
		<property name="Model" value="#@modfolder:Resources/FlowerShopPainting2.unity3d?FlowerShopPainting2Prefab"/>
</block>
<block name="Flower_Shop_Painting_3[T]">
	<property name="Extends" value="Flower_Shop_Painting_1[T]" />
	<property name="CustomIcon" value="FlowerShopPainting3Icon[T]" />
		<property name="Model" value="#@modfolder:Resources/FlowerShopPainting3.unity3d?FlowerShopPainting3Prefab"/>
</block>
<block name="Archaeology_Center_Painting_1[T]">
	<property name="Extends" value="Flower_Shop_Painting_1[T]" />
	<property name="CustomIcon" value="ArchPainting1Icon[T]" />
		<property name="Model" value="#@modfolder:Resources/ArchaeologyCenterPainting1.unity3d?ArchaeologyCenterPainting1Prefab"/>
</block>
<block name="Archaeology_Center_Painting_2[T]">
	<property name="Extends" value="Flower_Shop_Painting_1[T]" />
	<property name="CustomIcon" value="ArchPainting2Icon[T]" />
		<property name="Model" value="#@modfolder:Resources/ArchaeologyCenterPainting2.unity3d?ArchaeologyCenterPainting2Prefab"/>
</block>
<!-- Signs -->
<block name="Flower_Shop_Sign[T]">
	<property name="CreativeMode" value="Player"/>
	<property name="Material" value="Mwood_regular"/>
	<property name="StabilitySupport" value="false"/>
	<property name="CustomIcon" value="SignIcon[T]" />
	<property name="Shape" value="ModelEntity"/>
	<property name="Model" value="#@modfolder:Resources/FlowerShopSign.unity3d?FlowerShopSignPrefab" param1="main_mesh"/>
	<property name="Place" value="TowardsPlacerInverted"/>
	<property name="IsDecoration" value="true"/>
	<property name="ImposterDontBlock" value="true"/>
	<!-- <drop event="Destroy" name="resourceBrokenGlass" count="1,2"/>	-->
	<drop event="Destroy" count="0"/>
	<property name="FilterTags" value="fdecor,fother"/>
	<property name="SortOrder1" value="7000"/>
	<property name="SortOrder2" value="0002"/>
			<property name="EconomicValue" value="50" />
	<property name="DescriptionKey" value="decorativeBlockGroupDesc"/>
</block>
<block name="Archaeology_Center_Sign[T]">
	<property name="Extends" value="Flower_Shop_Sign[T]" />
	<property name="CustomIcon" value="SignIcon[T]" />
		<property name="Model" value="#@modfolder:Resources/ArchaeologyCenterSign.unity3d?ArchaeologyCenterSignPrefab"/>
</block>
<block name="Maybells_House_Sign[T]">
	<property name="Extends" value="Flower_Shop_Sign[T]" />
		<property name="Model" value="#@modfolder:Resources/MaybellsHouseSign.unity3d?MaybellsHouseSignPrefab"/>
</block>
<block name="Metalworks_Sign[T]">
	<property name="Extends" value="Flower_Shop_Sign[T]" />
		<property name="Model" value="#@modfolder:Resources/MetalworksSign.unity3d?MetalworksSignPrefab"/>
</block>
<block name="Inn_Sign[T]">
	<property name="Extends" value="Flower_Shop_Sign[T]" />
		<property name="Model" value="#@modfolder:Resources/InnSign.unity3d?InnSignPrefab"/>
</block>
<block name="No_Climbing_Sign[T]">
	<property name="Extends" value="Flower_Shop_Sign[T]" />
	<property name="CustomIcon" value="NoClimbingSignIcon[T]" />
	<property name="MultiBlockDim" value="1,2,1" />
		<property name="Model" value="#@modfolder:Resources/NoClimbingSign.unity3d?NoClimbingSignPrefab"/>
</block>
<!-- Vendor Blocks -->
<block name="Annabelle[T]">
			<property name="Group" value="Building"/>
		
	<property name="Class" value="VendingMachine"/>
	<property name="TraderID" value="7"/>
	<property name="Tags" value="AnnabelleGreetAOE" />
	<property name="Collide" value="melee,bullet,arrow,rocket"/>
			<property name="Material" value="Morganic"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="Path" value="solid"/>
			<!-- <property name="ImposterExchange" value="imposterBlock" param1="67"/> -->
			<property name="FuelValue" value="300"/>
			<property name="MaxDamage" value="150" />
			<property name="CreativeMode" value="Player"/>
			<property class="RepairItems"> <property name="resourceWood" value="3"/> </property>
			<drop event="Harvest" name="resourceWood" count="255" tag="allHarvest"/>
			<drop event="Destroy" count="0"/>
			<drop event="Fall" name="terrDestroyedWoodDebris" count="1" prob="0.75" stick_chance="1"/>
			<property name="EconomicValue" value="10"/>
			<property name="EconomicBundleSize" value="20"/>
			<property name="FilterTags" value="fbuilding,fwood"/>
			<property name="Model" value="#@modfolder:Resources/Annabelle2.unity3d?Annabelle2Prefab"/>
			<property name="DescriptionKey" value="Annabelle[T]Desc"/>
			<property name="CustomIcon" value="AnnabelleIcon[T]" />
			<property name="MultiBlockDim" value="1,2,1"/>
		</block>
<block name="Gunther[T]">
			<property name="Extends" value="Annabelle[T]" />
			<property name="TraderID" value="9"/>
			<property name="Model" value="#@modfolder:Resources/Gunther2.unity3d?Gunther2Prefab"/>
			<property name="CustomIcon" value="GuntherIcon[T]" />
			<property name="DescriptionKey" value="Gunther[T]Desc"/>
		</block>
<block name="Maybell[T]">
			<property name="Extends" value="Annabelle[T]" />
			<property name="TraderID" value="8"/>
			<property name="Model" value="#@modfolder:Resources/Maybell2.unity3d?Maybell2Prefab"/>
			<property name="CustomIcon" value="MaybellIcon[T]" />
			<property name="DescriptionKey" value="Maybell[T]Desc"/>
		</block>
<block name="Varric[T]">
			<property name="Extends" value="Annabelle[T]" />
			<property name="TraderID" value="10"/>
			<property name="Model" value="#@modfolder:Resources/Varric.unity3d?VarricPrefab"/>
			<property name="CustomIcon" value="VarricIcon[T]" />
			<property name="DescriptionKey" value="Varric[T]Desc"/>
		</block>
<block name="Maximillian[T]">
			<property name="Extends" value="Annabelle[T]" />
			<property name="TraderID" value="11"/>
			<property name="Model" value="#@modfolder:Resources/Maximillian2.unity3d?Maximillian2Prefab"/>
			<property name="CustomIcon" value="MaximillianIcon[T]" />
			<property name="DescriptionKey" value="Maximillian[T]Desc"/>
		</block>
<block name="Willy[T]">
			<property name="Extends" value="Annabelle[T]" />
			<property name="TraderID" value="12"/>
			<property name="Model" value="#@modfolder:Resources/Willy2.unity3d?Willy2Prefab"/>
			<property name="CustomIcon" value="WillyIcon[T]" />
			<property name="DescriptionKey" value="Willy[T]Desc"/>
		</block><!--
		<block name="Caroline[T]">
			<property name="Extends" value="Annabelle[T]" />
			<property name="TraderID" value="13"/>
			<property name="Model" value="#@modfolder:Resources/Caroline.unity3d?CarolinePrefab"/>
			<property name="CustomIcon" value="CarolineIcon[T]" />
		</block>
		<block name="Ervine[T]">
			<property name="Extends" value="Annabelle[T]" />
			<property name="TraderID" value="14"/>
			<property name="Model" value="#@modfolder:Resources/Ervine.unity3d?ErvinePrefab"/>
			<property name="CustomIcon" value="ErvineIcon[T]" />
		</block>-->
<block name="Sebastian[T]">
			<property name="Extends" value="Annabelle[T]" />
			<property name="TraderID" value="14"/>
			<property name="Model" value="#@modfolder:Resources/Sebastian.unity3d?SebastianPrefab"/>
			<property name="CustomIcon" value="SebastianIcon[T]" />
			<property name="DescriptionKey" value="Willy[T]Desc"/>
		</block>
<block name="Leah[T]">
			<property name="Extends" value="Annabelle[T]" />
			<property name="TraderID" value="15"/>
			<property name="Model" value="#@modfolder:Resources/Leah.unity3d?LeahPrefab"/>
			<property name="CustomIcon" value="LeahIcon[T]" />
			<property name="DescriptionKey" value="Leah[T]Desc"/>
		</block>
<block name="Vincent[T]">
			<property name="Extends" value="Annabelle[T]" />
			<property name="TraderID" value="16"/>
			<property name="Model" value="#@modfolder:Resources/Vincent.unity3d?VincentPrefab"/>
			<property name="CustomIcon" value="VincentIcon[T]" />
			<property name="DescriptionKey" value="Vincent[T]Desc"/>
		</block>
<block name="Caroline_And_Ervine[T]">
			<property name="Extends" value="Annabelle[T]" />
			<property name="TraderID" value="13"/>
			<property name="Model" value="#@modfolder:Resources/CarolineAndErvine.unity3d?CarolineAndErvinePrefab"/>
			<property name="CustomIcon" value="VincentIcon[T]" />
			<property name="MultiBlockDim" value="2,2,1"/>
			<property name="DescriptionKey" value="Caroline_And_Ervine[T]Desc"/>
		</block>
<block name="Vending_Machine[T]">
	<property name="Group" value="Science"/>
	<property name="CreativeMode" value="Player"/>
	<property name="DescriptionKey" value="cntVendingMachineGroupDesc"/>
	<property name="DisplayType" value="blockHardenedMulti" />
	<property name="Material" value="Mmetal_medium"/>
	<property name="LightOpacity" value="0"/>
	<property name="StabilitySupport" value="false"/> <!-- build restriction -->
	<property name="Class" value="VendingMachine"/>
	<property name="Shape" value="ModelEntity"/>
	<property name="Path" value="solid"/>
	<property name="Model" value="Entities/Crafting/vending_machinePrefab"/>
	<property name="MultiBlockDim" value="1,2,1"/>
	<property name="ImposterExchange" value="imposterBlock" param1="143"/>
	<property name="OnlySimpleRotations" value="true"/>
	<property name="Place" value="TowardsPlacerInverted"/>
	<property name="Collide" value="sight,movement,melee,bullet,arrow,rocket"/>
	<property class="RepairItems"> <property name="resourceForgedIron" value="5"/> </property>
	<property name="TraderID" value="17"/>
	<property name="Stacknumber" value="10"/>
	<property name="EconomicValue" value="2000"/>
	<property name="Buff" value="buffShocked"/>
	<property name="CustomIcon" value="cntVendingMachine" />
	<drop event="Destroy" count="0"/>
	<property name="FilterTags" value="floot,ffurniture"/>
			<property name="DescriptionKey" value="Vending_Machine[T]Desc"/>
</block>
<!-- Greet Blocks -->
<block name="Greet_Master[T]">
	<property name="Group" value="Building"/>
	<property name="DescriptionKey" value="cobblestoneGroupDesc"/>
	<property name="Material" value="Mcobblestone"/>
	<property name="Texture" value="328"/>
	<!-- <property name="ImposterExchange" value="imposterBlock" param1="15"/> -->
	<property name="CreativeMode" value="Dev"/>
	<property class="RepairItems"> <property name="resourceCobblestones" value="8"/> </property>
	<property class="UpgradeBlock">
		<property name="ToBlock" value="pouredConcreteMaster"/>
		<property name="Item" value="resourceConcreteMix"/>
		<property name="ItemCount" value="10"/>
		<property name="UpgradeHitCount" value="4"/>
	</property>
	<property name="CustomUpgradeSound" value="place_block_concrete"/>
	<drop event="Harvest" name="resourceClayLump" count="6" tag="allHarvest"/>
	<drop event="Harvest" name="resourceRockSmall" count="6" tag="allHarvest"/>
	<drop event="Destroy" count="0"/>
	<drop event="Fall" name="terrDestroyedStone" count="1" prob="0.75" stick_chance="1"/>

			<property name="EconomicValue" value="10" />
			<property name="CustomIcon" value="cobblestonePlate" />
	<property name="FilterTags" value="fbuilding,fbrick"/>
	<property name="SortOrder1" value="40b0"/>
	<property name="SortOrder2" value="0002"/>
</block>
<block name="Annabelle_Greet[T]">
	<property name="Extends" value="Greet_Master[T]"/>
	<property name="SortOrder2" value="0050"/> <!-- SortShape -->
	<property class="UpgradeBlock"> <property name="ToBlock" value="Annabelle_Greet[T]"/> </property>
	<property name="BuffsWhenWalkedOn" value="Annabelle_Greet" />
</block>
<block name="Maybell_Greet[T]">
	<property name="Extends" value="Greet_Master[T]"/>
	<property class="RepairItems"> <property name="resourceClayLump" value="14"/> </property>
	<property class="UpgradeBlock">
		<property name="ToBlock" value="terrFertileFarmland"/>
		<property name="Item" value="meleeToolHoeIron"/>
		<property name="ItemCount" value="0"/>
		<property name="UpgradeHitCount" value="4"/>
	</property>
	
	<property name="BuffsWhenWalkedOn" value="Maybell_Greet" />
</block>
<block name="Leah_Greet[T]">		

	<property name="Extends" value="Greet_Master[T]"/>
	<property class="UpgradeBlock"> <property name="ToBlock" value="Leah_Greet[T]"/> </property>
	<property name="BuffsWhenWalkedOn" value="Leah_Greet" />
</block>
<block name="Vincent_Greet[T]">
	<property name="Extends" value="Greet_Master[T]"/>
	<property name="SortOrder2" value="0050"/> <!-- SortShape -->
	<property class="UpgradeBlock"> <property name="ToBlock" value="Vincent_Greet[T]"/> </property>
	<property name="BuffsWhenWalkedOn" value="Vincent_Greet" />
</block>
<block name="Caroline_And_Ervine_Greet[T]">		
	<property name="Extends" value="Greet_Master[T]"/>
	<property class="UpgradeBlock"> <property name="ToBlock" value="Caroline_And_Ervine_Greet[T]"/> </property>
	<property name="BuffsWhenWalkedOn" value="Caroline_And_Ervine_Greet" />
</block>
<block name="Gunther_Greet[T]">
	<property name="Extends" value="Greet_Master[T]"/>
	<property class="UpgradeBlock"> <property name="ToBlock" value="Gunther_Greet[T]"/> </property>
	<property name="BuffsWhenWalkedOn" value="Gunther_Greet" />
</block>
<block name="Maximillian_Greet[T]">
	<property name="Extends" value="Greet_Master[T]"/>
	<property class="UpgradeBlock"> <property name="ToBlock" value="Maximillian_Greet[T]"/> </property>
	<property name="BuffsWhenWalkedOn" value="Maximillian_Greet" />
</block>
<block name="Willy_Greet[T]">
	<property name="Extends" value="Greet_Master[T]"/>
	<property class="UpgradeBlock"> <property name="ToBlock" value="Willy_Greet[T]"/> </property>
	<property name="BuffsWhenWalkedOn" value="Willy_Greet" />
</block>
<!-- Fishing Blocks -->
<block name="Fishing_Water[T]"><!-- Pond -->
	<property name="CreativeMode" value="Player"/>
	<property name="Material" value="MFishingWater"/>
	<property name="StabilitySupport" value="false"/>
	<property name="CustomIcon" value="FishingPoolYellowIcon[T]" />
	<property name="Shape" value="ModelEntity"/><!--
	<property name="Model" value="#@modfolder:Resources/FishableWater2.unity3d?FishableWater2Prefab" param1="main_mesh"/>-->
	<property name="Model" value="#@modfolder:Resources/FishingPool2.unity3d?FishingPool2Prefab" param1="main_mesh"/>
	<property name="MaxDamage" value="100" />
	<property name="EconomicValue" value="1000" />
	<property name="Place" value="TowardsPlacerInverted"/>
	<property name="IsDecoration" value="true"/>
	<property name="ImposterDontBlock" value="true"/>
	<!-- <drop event="Destroy" name="resourceBrokenGlass" count="1,2"/>	-->
	<drop event="Harvest" name="Anchovie[T]" count="0,2" prob="0.55" tag="FishingWood"/>
	<drop event="Harvest" name="drinkCanEmpty" count="0,1" prob="0.55" tag="FishingWood" />
	<drop event="Harvest" name="Old_Shoe[T]" count="0,11" prob="0.20" tag="FishingWood" />
	
	
		
	<drop event="Destroy" count="0"/>
	<property name="FilterTags" value="fdecor,fother"/>
	<property name="Collide" value="melee,bullet,arrow,rocket"/>
	<property name="SortOrder1" value="7000"/>
	<property name="SortOrder2" value="0002"/>
	<property name="DescriptionKey" value="decorativeBlockGroupDesc"/>
	<property name="DowngradeBlock" value="Empty_Pool[T]" />
</block>
<block name="Empty_Pool[T]"> 
	<property name="Material" value="Mwater"/>
	<property name="Class" value="UpgradeRated"/>
	<property name="UpgradeRated.ToBlock" value="Fishing_Water[T]"/>
	<property name="UpgradeRated.Rate" value="1"/>
	<property name="Shape" value="Water"/>
	<property name="Mesh" value="water"/>
	<property name="Model" value="water_full"/>
	<property name="Texture" value="223"/>
	<property name="Count" value="8"/>
	<property name="Map.Color" value="20,20,120"/>
	<property name="Map.Color" value="119,136,204"/>
	<property name="Collide" value="melee,bullet,arrow,rocket"/>
	<property name="FilterTags" value="fterrain"/>
	
</block>
<block name="Worm_Basket[T]">
	<property name="CreativeMode" value="Player"/>
	<property name="Material" value="Mwood_regular"/>
	<property name="StabilitySupport" value="false"/>
	<property name="CustomIcon" value="WormBasketIcon[T]" />
	<property name="Shape" value="ModelEntity"/>
	<property name="Model" value="#@modfolder:Resources/WormBasket.unity3d?WormBasketPrefab" param1="main_mesh"/>
	<property name="Place" value="TowardsPlacerInverted"/>
	<property name="IsDecoration" value="true"/>
	<property name="ImposterDontBlock" value="true"/>
	<!-- <drop event="Destroy" name="resourceBrokenGlass" count="1,2"/>	-->
	<drop event="Destroy" count="0"/>
			<property name="EconomicValue" value="75" />
	<property name="FilterTags" value="fdecor,fother"/>
	<property name="SortOrder1" value="7000"/>
	<property name="SortOrder2" value="0002"/>
	<property name="DescriptionKey" value="decorativeBlockGroupDesc"/>
</block>
<block name="Coral[T]">
	<property name="CreativeMode" value="Player"/>
	<property name="Material" value="Mwood_regular"/>
	<property name="StabilitySupport" value="false"/>
	<property name="CustomIcon" value="CoralIcon[T]" />	
	<property name="Shape" value="ModelEntity"/>
	<property name="Model" value="#@modfolder:Resources/Coral.unity3d?CoralPrefab" param1="main_mesh"/>
	<property name="Place" value="TowardsPlacerInverted"/>
	<property name="IsDecoration" value="true"/>
	<property name="ImposterDontBlock" value="true"/>
	<!-- <drop event="Destroy" name="resourceBrokenGlass" count="1,2"/>	-->
	<drop event="Destroy" count="0"/>
			<property name="EconomicValue" value="75" />
	<property name="FilterTags" value="fdecor,fother"/>
	<property name="SortOrder1" value="7000"/>
	<property name="SortOrder2" value="0002"/>
	<property name="DescriptionKey" value="decorativeBlockGroupDesc"/>
	<property name="Collide" value="melee,bullet,arrow,rocket"/>
</block>
<!-- Secret Blocks -->
<block name="Secret_Satchel">
	<property name="CustomIcon" value="cntWeaponsBagLarge" />
	<property name="Class" value="Loot"/>
	<property name="Shape" value="ModelEntity"/>
	<property name="Model" value="Entities/LootContainers/weapon_bags_largePrefab"/>
	<property name="Place" value="TowardsPlacerInverted"/>
	<property name="DisplayType" value="blockHardened" />
	<property name="Material" value="Mcloth"/>
	<property name="MaxDamage" value="500"/>
	<property name="LightOpacity" value="0"/>
	<property name="StabilityIgnore" value="true" />
	<property name="StabilitySupport" value="false"/>
	<property name="IsTerrainDecoration" value="true"/>
	<property name="Collide" value="melee,bullet,arrow,rocket"/>
	<property name="LootList" value="126"/>
	<drop event="Harvest" name="resourceCloth" count="6" tag="allHarvest"/>
	<drop event="Destroy" count="0"/>
	<property name="FilterTags" value="floot"/>
</block>
<!-- MusicBoxes -->
<block name="Music_Box_Off[T]">
<property name="Group" value="Building"/>
			<property name="CustomIcon" value="MusicBoxIcon[T]" />
	<property name="DisplayInfo" value="Name"/>
			<property name="Material" value="Mwood_regular"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="StabilitySupport" value="false"/>
			<property name="Path" value="solid"/>
			<property name="Model" value="#@modfolder:Resources/MusicBox.unity3d?MusicBoxPrefab"/>
			<!-- <property name="ImposterExchange" value="imposterBlock" param1="67"/> -->
			<property name="FuelValue" value="300"/>
			<property name="CreativeMode" value="Player"/>
			<property class="RepairItems"> <property name="resourceWood" value="3"/> </property>
			<drop event="Destroy" count="0"/>
			<drop event="Fall" name="terrDestroyedWoodDebris" count="1" prob="0.75" stick_chance="1"/>
			<property class="UpgradeBlock">
		<property name="ToBlock" value="Music_Box_Town[T]"/>
		<property name="Item" value="resourceWood"/>
		<property name="ItemCount" value="5"/>
		<property name="UpgradeHitCount" value="2"/>
	</property>
	<property name="DowngradeBlock" value="Music_Box_Upbeat[T]" />
			<property name="EconomicValue" value="10"/>
			<property name="EconomicBundleSize" value="20"/>
			<property name="FilterTags" value="fbuilding,fwood"/>
			<property name="Collide" value="movement,melee,bullet,arrow,rocket"/>
			<property name="SortOrder1" value="4020"/>
			<property name="SortOrder2" value="0002"/>
			<property name="EconomicValue" value="250" />
			<property name="MaxDamage" value="2" />
</block>
<block name="Music_Box_Town[T]">
	<property name="Extends" value="Music_Box_Off[T]" />
			<property name="Model" value="#@modfolder:Resources/MusicBoxMediHappy.unity3d?MusicBoxMediHappyPrefab"/>	
	<property name="DisplayInfo" value="Name"/>		<property class="UpgradeBlock">
		<property name="ToBlock" value="Music_Box_Upbeat[T]"/>
		<property name="Item" value="resourceWood"/>
		<property name="ItemCount" value="5"/>
		<property name="UpgradeHitCount" value="2"/>
	</property>
	<property name="DowngradeBlock" value="Music_Box_Off[T]" />
</block>
<block name="Music_Box_Upbeat[T]">
	<property name="Extends" value="Music_Box_Off[T]" />
	<property name="Model" value="#@modfolder:Resources/MusicBoxMediUpbeat.unity3d?MusicBoxMediUpbeatPrefab"/>
	<property name="DisplayInfo" value="Name"/>
<property class="UpgradeBlock">
		<property name="ToBlock" value="Music_Box_Off[T]"/>
		<property name="Item" value="resourceWood"/>
		<property name="ItemCount" value="5"/>
		<property name="UpgradeHitCount" value="2"/>
	</property>
	<property name="DowngradeBlock" value="Music_Box_Town[T]" />
</block>
<!-- Others -->
<block name="Gunther_Pickaxe_Decoration[T]">
	<property name="CreativeMode" value="Player"/>
	<property name="Material" value="Mwood_regular"/>
	<property name="StabilitySupport" value="false"/>
	<property name="CustomIcon" value="GuntherPickaxeDecoIcon[T]" />
	<property name="Shape" value="ModelEntity"/>
	<property name="Model" value="#@modfolder:Resources/GuntherPickaxeDeco.unity3d?GuntherPickaxeDecoPrefab" param1="main_mesh"/>
	<property name="Place" value="TowardsPlacerInverted"/>
	<property name="IsDecoration" value="true"/>
	<property name="ImposterDontBlock" value="true"/>
	<!-- <drop event="Destroy" name="resourceBrokenGlass" count="1,2"/>	-->
	<drop event="Destroy" count="0"/>
			<property name="EconomicValue" value="75" />
	<property name="FilterTags" value="fdecor,fother"/>
	<property name="SortOrder1" value="7000"/>
	<property name="SortOrder2" value="0002"/>
	<property name="DescriptionKey" value="decorativeBlockGroupDesc"/>
</block>
<!-- Unbreakables -->
<block name="Cobblestone_Full[T]">
	<property name="Extends" value="cobblestoneMaster"/>
	<property name="SortOrder2" value="0050"/> <!-- SortShape -->
	<property name="DowngradeBlock" value="Cobblestone_Full[T]" />
</block>




<!-- Stage 2: Varric -->
<block name="Fishing_Water_River[T]">
	<property name="CreativeMode" value="Player"/>
	<property name="Material" value="MFishingWater"/>
	<property name="StabilitySupport" value="false"/>
	<property name="CustomIcon" value="FishingPoolBlueIcon[T]" />
	<property name="Shape" value="ModelEntity"/><!--
	<property name="Model" value="#@modfolder:Resources/FishableWater2.unity3d?FishableWater2Prefab" param1="main_mesh"/>-->
	<property name="Model" value="#@modfolder:Resources/FishingPoolBlue.unity3d?FishingPoolBluePrefab" param1="main_mesh"/>
	<property name="MaxDamage" value="100" />
	<property name="EconomicValue" value="500" />
	<property name="Place" value="TowardsPlacerInverted"/>
	<property name="IsDecoration" value="true"/>
	<property name="ImposterDontBlock" value="true"/>
	<!-- <drop event="Destroy" name="resourceBrokenGlass" count="1,2"/>	-->
	<drop event="Harvest" name="drinkCanEmpty" count="0,1" prob="0.55" tag="FishingWood" />
	<drop event="Harvest" name="Goldfish[T]" count="0,2" prob="0.35" tag="FishingWood" />
	<drop event="Harvest" name="Old_Shoe[T]" count="0,11" prob="0.20" tag="FishingWood" />
	<drop event="Harvest" name="Largemouth_Bass[T]" count="0,1" prob="0.15" tag="FishingWood" />
	
	<drop event="Harvest" name="African_Cichlid[T]" count="0,1" prob="0.25" tag="FishingNecklace" />
		
	<drop event="Destroy" count="0"/>
	<property name="FilterTags" value="fdecor,fother"/>
	<property name="Collide" value="melee,bullet,arrow,rocket"/>
	<property name="SortOrder1" value="7000"/>
	<property name="SortOrder2" value="0002"/>
			<property name="EconomicValue" value="1000" />
	<property name="DescriptionKey" value="decorativeBlockGroupDesc"/>
	<property name="DowngradeBlock" value="Empty_River_Pool[T]" />
</block>
<block name="Empty_River_Pool[T]"> 
	<property name="Material" value="Mwater"/>
	<property name="Class" value="UpgradeRated"/>
	<property name="UpgradeRated.ToBlock" value="Fishing_Water_River[T]"/>
	<property name="UpgradeRated.Rate" value="1"/>
	<property name="Shape" value="Water"/>
	<property name="Mesh" value="water"/>
	<property name="Model" value="water_full"/>
	<property name="Texture" value="223"/>
	<property name="Count" value="8"/>
	<property name="Map.Color" value="20,20,120"/>
	<property name="Map.Color" value="119,136,204"/>
	<property name="Collide" value="melee,bullet,arrow,rocket"/>
	<property name="FilterTags" value="fterrain"/>
</block>
<block name="Bee_Box[T]">
			<property name="Group" value="Building"/>
			<property name="CustomIcon" value="BeeBoxIcon[T]" />
			<property name="DisplayInfo" value="Name"/>
			<property name="Material" value="Morganic"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="StabilitySupport" value="false"/>
			<property name="Path" value="solid"/>
			<property name="MaxDamage" value="50" />
			<property name="Model" value="#@modfolder:Resources/BeeBox.unity3d?BeeBoxPrefab"/>
			<!-- <property name="ImposterExchange" value="imposterBlock" param1="67"/> -->
			<property name="FuelValue" value="300"/>
			<property name="CreativeMode" value="Player"/>
			<property class="RepairItems"> <property name="resourceWood" value="3"/> </property>

			<property name="EconomicValue" value="150" />
			<property name="FilterTags" value="fbuilding,fwood"/>
			<property name="Collide" value="melee,bullet,arrow,rocket"/>
			<property name="SortOrder1" value="4020"/>
			<property name="SortOrder2" value="0002"/>
	<property name="DowngradeBlock" value="Bee_Box[T]" />
	
	<drop event="Harvest" name="Summerset_Honey[T]" count="0,5" prob="0.7" tag="MasonJar" />
	<drop event="Destroy" count="0" />
		</block>
<block name="Fireflies[T]">
			<property name="Group" value="Building"/>
			<property name="CustomIcon" value="FirefliesIcon[T]" />
			<property name="DisplayInfo" value="Name"/>
			<property name="Material" value="Morganic"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="StabilitySupport" value="false"/>
			<property name="Path" value="solid"/>
			<property name="MaxDamage" value="50" />
			<property name="Model" value="#@modfolder:Resources/Fireflies.unity3d?FirefliesPrefab"/>
			<!-- <property name="ImposterExchange" value="imposterBlock" param1="67"/> -->
			<property name="FuelValue" value="300"/>
			<property name="CreativeMode" value="Player"/>
			<property class="RepairItems"> <property name="resourceWood" value="3"/> </property>

			<property name="EconomicValue" value="150" />
			<property name="FilterTags" value="fbuilding,fwood"/>
			<property name="Collide" value="melee,bullet,arrow,rocket"/>
			<property name="SortOrder1" value="4020"/>
			<property name="SortOrder2" value="0002"/>
		</block>
<!-- Placed fish -->
<block name="Placed_Anchovie[T]">
			<property name="Extends" value="Whole_Template[T]" />
			<property name="CustomIcon" value="AnchovieIcon[T]" />
			<property name="Model" value="#@modfolder:Resources/PlacedAnchovy.unity3d?PlacedAnchovyPrefab"/>
			<drop event="Harvest" name="Fried_Fish_Stick[T]" count="1" prob=".5" tag="FryingPan"/>
			<drop event="Harvest" name="Burnt_Fish_Stick[T]" count="1" prob=".5" tag="FryingPan"/>
		</block>
<block name="Placed_Goldfish[T]">
			<property name="Extends" value="Whole_Template[T]" />
			<property name="CustomIcon" value="GoldfishIcon[T]" />
			<property name="Model" value="#@modfolder:Resources/PlacedGoldfish.unity3d?PlacedGoldfishPrefab"/>
			<drop event="Harvest" name="Fried_Fish_Stick[T]" count="1,2" prob=".5" tag="FryingPan"/>
			<drop event="Harvest" name="Burnt_Fish_Stick[T]" count="0,2" prob=".5" tag="FryingPan"/>
		</block>
<!-- Large -->
<block name="Placed_Largemouth_Bass[T]">
			<property name="Extends" value="Whole_Template[T]" />
			<property name="CustomIcon" value="GoldfishIcon[T]" />
			<property name="Model" value="#@modfolder:Resources/PlacedBass.unity3d?PlacedBassPrefab"/>
			<drop event="Harvest" name="Fried_Fish_Fillet[T]" count="1,4" prob="1" tag="FryingPan"/>
		</block>
<!-- New crops -->
<block name="Carrot_Seed_Packet[T]">
			<property name="Extends" value="cropsGrowingMaster"/>
			<property name="CreativeMode" value="Player"/>
			<property name="Texture" value="401"/>
			<property name="PlantGrowing.Next" value="Carrot_Plant[T]"/>
			<property name="Group" value="Food/Cooking"/>
			<drop event="Destroy" name="Carrot_Seed_Packet[T]" count="1"/>
			<property name="CustomIcon" value="SeedsCarrotIcon[T]" />
			<property class="UpgradeBlock">
		<property name="ToBlock" value="Carrot_Plant[T]"/>
		<property name="Item" value="drinkJarBoiledWater"/>
		<property name="ItemCount" value="1"/>
		<property name="UpgradeHitCount" value="1"/>
	</property>
		<property name="CustomUpgradeSound" value="WateringCanPour"/>
		</block>
<block name="Carrot_Plant[T]">
			<property name="Extends" value="Planted_Template[T]"/>
			<property name="CustomIcon" value="StrawberryBushIcon[T]"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="Model" value="#@modfolder:Resources/CarrotPlanted.unity3d?CarrotPlantedPrefab"/>
			<drop event="Harvest" name="Strawberry[T]" count="1" tag="cropHarvest"/>
			<property name="DowngradeBlock" value="Carrot_Seed_Packet[T]"/>
		</block>
<block name="Whole_Carrot[T]">
			<property name="Extends" value="Whole_Template[T]" />
			<property name="CustomIcon" value="StrawberryItemIcon[T]" />
			<property name="Model" value="#@modfolder:Resources/CarrotPlaced.unity3d?CarrotPlacedPrefab"/>
			<drop event="Harvest" name="Sliced_Strawberry[T]" count="5" tag="KitchenKnife"/>
			<drop event="Harvest" name="Strawberry_Jam[T]" count="1" tag="MasonJar"/>
		</block>
<block name="Whole_Banana[T]">
			<property name="Extends" value="Whole_Template[T]" />
			<property name="CustomIcon" value="StrawberryItemIcon[T]" />
			<property name="Model" value="#@modfolder:Resources/CarrotPlaced.unity3d?CarrotPlacedPrefab"/>
			<drop event="Harvest" name="Sliced_Strawberry[T]" count="5" tag="KitchenKnife"/>
			<drop event="Harvest" name="Strawberry_Jam[T]" count="1" tag="MasonJar"/>
		</block>
<block name="Banana_Tree_Seed_Packet[T]">
			<property name="Extends" value="Seed_Template[T]"/>
			<property name="PlantGrowing.Next" value="Banana_Tree[T]"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="Model" value="#@modfolder:Resources/BananaTreeGrowing.unity3d?BananaTreeGrowingPrefab"/>
			<drop event="Destroy" name="Banana_Tree_Seed_Packet[T]" count="1"/>
			<property name="CustomIcon" value="BananaTreeSeedIcon[T]" />
			<property class="UpgradeBlock">
		<property name="ToBlock" value="Banana_Tree[T]"/>
		<property name="Item" value="drinkJarBoiledWater"/>
		<property name="ItemCount" value="1"/>
		<property name="UpgradeHitCount" value="1"/>
	</property>
	<property name="CustomUpgradeSound" value="WateringCanPour"/>
		</block>
<block name="Banana_Tree[T]">
			<property name="Extends" value="Planted_Template[T]"/>
			<property name="CustomIcon" value="BananaTreeIcon[T]"/>
			<property name="MultiBlockDim" value="1,4,1" />
			<property name="Collide" value="movement,melee,bullet,arrow,rocket"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="BigDecorationRadius" value="5"/>
			<property name="Model" value="#@modfolder:Resources/BananaTree.unity3d?BananaTreePrefab"/>
			<drop event="Harvest" name="Banana[T]" count="1" tag="cropHarvest"/>
			<drop event="Harvest" name="resourceWood" count="30" tag="oreWoodHarvest"/>
			<property name="DowngradeBlock" value="Banana_Tree_Seed_Packet[T]"/>
		</block>
<!-- Greets -->
<block name="Varric_Greet[T]">
	<property name="Extends" value="Greet_Master[T]"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="Path" value="solid"/>
			<property name="Model" value="#@modfolder:Resources/WoodFloor.unity3d?WoodFloorPrefab"/>
	<property name="SortOrder2" value="0050"/> <!-- SortShape -->
	<property class="UpgradeBlock"> <property name="ToBlock" value="Varric_Greet[T]"/> </property>
	<property name="BuffsWhenWalkedOn" value="Varric_Greet" />
</block>
<!-- New deco blocks -->
<block name="Cobblestone_Path[T]">
			<property name="Group" value="Building"/>
			<property name="CustomIcon" value="Empty_Flower_Pot_Icon[T]" />
			<property name="Material" value="Mcobblestone"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="Path" value="solid"/>
			<property name="Model" value="#@modfolder:Resources/CobblestonePath.unity3d?CobblestonePathPrefab"/>
			<property name="FuelValue" value="300"/>
			<property name="CreativeMode" value="Player"/>
			<property class="RepairItems"> <property name="resourceCobblestones" value="3"/> </property>
			<drop event="Harvest" name="resourceWood" count="2" tag="allHarvest"/>
			<drop event="Destroy" count="0"/>
			<drop event="Fall" name="terrDestroyedWoodDebris" count="1" prob="0.75" stick_chance="1"/>
			<property name="EconomicValue" value="10"/>
			<property name="FilterTags" value="fbuilding,fwood"/>
		</block>
<block name="Clay_Roof_Wedge[T]">
			<property name="Extends" value="Cobblestone_Path[T]" />
			<property name="Model" value="#@modfolder:Resources/ClayRoofWedge.unity3d?ClayRoofWedgePrefab"/>
		</block>
<block name="ForestSphere[T]">
			<property name="Extends" value="Cobblestone_Path[T]" />
			<property name="Model" value="#@modfolder:Resources/ForestSphere.unity3d?ForestSpherePrefab"/>
		</block>
<block name="Tropical_Fern[T]">
			<property name="Extends" value="Pink_Flower[T]" />
			<property name="Model" value="#@modfolder:Resources/TropicalFern.unity3d?TropicalFernPrefab"/>
			<property name="CustomIcon" value="TropicalFernIcon[T]" />
			<drop event="Harvest" name="Tropical_Fern[T]" count="1" tag="cropHarvest"/>
		</block>
<!-- New Vendors -->
<block name="Pickup_Chiro[T]">
	<property name="Collide" value="movement,melee,bullet,arrow,rocket"/>
			<property name="DisplayInfo" value="Description"/>
			<property name="Material" value="Morganic"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="CanPickup" value="true" param1="Chiro_Object[T]"/>
			<property name="Path" value="solid"/>
			<!-- <property name="ImposterExchange" value="imposterBlock" param1="67"/> -->
			<property name="FuelValue" value="300"/>
			<property name="MaxDamage" value="50" />
			<property name="CreativeMode" value="Player"/>
			<property class="RepairItems"> <property name="resourceWood" value="3"/> </property><!--
			<drop event="Harvest" name="Chiro[T]" count="1" tag="Leash"/>-->
			<drop event="Fall" name="terrDestroyedWoodDebris" count="1" prob="0.75" stick_chance="1"/>
			<property name="DowngradeBlock" value="Sleeping_Chiro[T]" />
			<property name="EconomicValue" value="10"/>
			<property name="EconomicBundleSize" value="20"/>
			<property name="Model" value="#@modfolder:Resources/LittleDog.unity3d?LittleDogPrefab"/>
			<property name="CustomIcon" value="ChiroIcon[T]" />
	<property name="Class" value="UpgradeRated"/>
	<property name="UpgradeRated.ToBlock" value="Sad_Chiro[T]"/>
	<property name="UpgradeRated.Rate" value="15"/>
			<property name="DescriptionKey" value="ChiroBlock[T]Desc"/>
	
		</block>
<block name="Chiro[T]">
	<property name="Collide" value="movement,melee,bullet,arrow,rocket"/>
			<property name="DisplayInfo" value="Description"/>
			<property name="Material" value="Morganic"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="Path" value="solid"/>
			<!-- <property name="ImposterExchange" value="imposterBlock" param1="67"/> -->
			<property name="FuelValue" value="300"/>
			<property name="MaxDamage" value="50" />
			<property name="CreativeMode" value="Player"/>
			<property class="RepairItems"> <property name="resourceWood" value="3"/> </property><!--
			<drop event="Harvest" name="Chiro[T]" count="1" tag="Leash"/>-->
			<drop event="Fall" name="terrDestroyedWoodDebris" count="1" prob="0.75" stick_chance="1"/>
			<property name="DowngradeBlock" value="Sleeping_Chiro[T]" />
			<property name="EconomicValue" value="10"/>
			<property name="EconomicBundleSize" value="20"/>
	<property name="Class" value="UpgradeRated"/>
	<property name="UpgradeRated.ToBlock" value="Pickup_Chiro[T]"/>
	<property name="UpgradeRated.Rate" value="1"/>
			<property name="Model" value="#@modfolder:Resources/LittleDog.unity3d?LittleDogPrefab"/>
			<property name="CustomIcon" value="ChiroIcon[T]" />
		</block>
<block name="Sleeping_Chiro[T]">
			<property name="CustomIcon" value="ChiroIcon[T]" />
			<property name="DisplayInfo" value="Description"/>
			<property name="Material" value="Mcobblestone"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="Path" value="solid"/>
			<property name="Model" value="#@modfolder:Resources/LittleDogSleep.unity3d?LittleDogSleepPrefab"/>
			<!-- <property name="ImposterExchange" value="imposterBlock" param1="67"/> -->
			<property name="FuelValue" value="300"/>
			<property name="CreativeMode" value="Player"/>
			<property class="RepairItems"> <property name="resourceCobblestones" value="3"/> </property>
			<drop event="Harvest" name="resourceWood" count="2" tag="allHarvest"/>
			<drop event="Destroy" count="0"/>
			<drop event="Fall" name="terrDestroyedWoodDebris" count="1" prob="0.75" stick_chance="1"/>
			<property name="EconomicValue" value="250"/>
			<property name="EconomicBundleSize" value="1"/>
	<property name="Class" value="UpgradeRated"/>
	<property name="UpgradeRated.ToBlock" value="Chiro[T]"/>
	<property name="UpgradeRated.Rate" value="2"/>
		</block>
<block name="Eating_Chiro[T]">
			<property name="CustomIcon" value="ChiroIcon[T]" />
			<property name="DisplayInfo" value="Description"/>
			<property name="Material" value="Mcobblestone"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="Path" value="solid"/>
			<property name="Model" value="#@modfolder:Resources/LittleDogEating.unity3d?LittleDogEatingPrefab"/>
			<!-- <property name="ImposterExchange" value="imposterBlock" param1="67"/> -->
			<property name="FuelValue" value="300"/>
			<property name="CreativeMode" value="Player"/>
			<property class="RepairItems"> <property name="resourceCobblestones" value="3"/> </property>
			<drop event="Harvest" name="resourceWood" count="2" tag="allHarvest"/>
			<drop event="Destroy" count="0"/>
			<drop event="Fall" name="terrDestroyedWoodDebris" count="1" prob="0.75" stick_chance="1"/>
			<property name="EconomicValue" value="250"/>
			<property name="EconomicBundleSize" value="1"/>
	<property name="Class" value="UpgradeRated"/>
	<property name="UpgradeRated.ToBlock" value="Sleeping_Chiro[T]"/>
	<property name="UpgradeRated.Rate" value="1"/>
		</block>
<block name="Sad_Chiro[T]">
			<property name="CustomIcon" value="ChiroIcon[T]" />
			<property name="DisplayInfo" value="Description"/>
			<property name="Material" value="Mcobblestone"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="Path" value="solid"/>
			<property name="Model" value="#@modfolder:Resources/LittleDogSad.unity3d?LittleDogSadPrefab"/>
			<!-- <property name="ImposterExchange" value="imposterBlock" param1="67"/> -->
			<property name="FuelValue" value="300"/>
			<property name="CreativeMode" value="Player"/>
			<property class="RepairItems"> <property name="Chiros_Food[T]" value="3"/> </property>
			<property class="UpgradeBlock">
		<property name="ToBlock" value="Eating_Chiro[T]"/>
		<property name="Item" value="Chiros_Food[T]"/>
		<property name="ItemCount" value="1"/>
		<property name="UpgradeHitCount" value="1"/>
	</property>
			<drop event="Harvest" name="resourceWood" count="2" tag="allHarvest"/>
			<drop event="Destroy" count="0"/>
			<drop event="Fall" name="terrDestroyedWoodDebris" count="1" prob="0.75" stick_chance="1"/>
			<property name="EconomicValue" value="250"/>
			<property name="EconomicBundleSize" value="1"/>
		</block>
<block name="Scared_Chiro[T]">
			<property name="CustomIcon" value="ChiroIcon[T]" />
			<property name="DisplayInfo" value="Description"/>
			<property name="Material" value="Mcobblestone"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="Path" value="solid"/>
			<property name="Model" value="#@modfolder:Resources/LittleDogFrightened.unity3d?LittleDogFrightenedPrefab"/>
			<!-- <property name="ImposterExchange" value="imposterBlock" param1="67"/> -->
			<property name="FuelValue" value="300"/>
			<property name="CreativeMode" value="Player"/>
			<property class="RepairItems"> <property name="Chiros_Food[T]" value="3"/> </property>
			<property name="EconomicValue" value="250"/> <property name="Place" value="TowardsPlacerInverted"/>
			<property name="EconomicBundleSize" value="1"/>
	<property name="Class" value="UpgradeRated"/>
	<property name="UpgradeRated.ToBlock" value="Pickup_Chiro[T]"/>
	<property name="UpgradeRated.Rate" value="1"/>
		</block>
<block name="Chiro_Greet[T]">		
	<property name="Extends" value="Greet_Master[T]"/>
	<property class="UpgradeBlock"> <property name="ToBlock" value="Chiro_Greet[T]"/> </property>
	<property name="BuffsWhenWalkedOn" value="Chiro_Greet" />
</block>
<block name="SpawnShadyDealer[T]">
	<property name="Extends" value="metalTrussingRampOld" param1="DescriptionKey"/>
	<property name="CustomIcon" value="metalTrussingRampOld"/>
	<property name="CreativeMode" value="Dev"/>
	<property name="Class" value="SpawnEntity"/>
	<property name="StabilitySupport" value="false"/>
	<property name="Shape" value="ModelEntity"/>
	<property name="Mesh" value="models"/>
	<property name="Model" value="Entities/Electrical/battery_bankPrefab"/> <property name="HandleFace" value="Bottom"/>
	<property name="SpawnClass" value="Shady_Dealer[T]"/>
	<property name="FilterTags" value="fdesign"/>
	<property name="Collide" value="sight"/>
</block>
<block name="Pirate_Chest[T]">
			<property name="Group" value="Building"/>
			<property name="CustomIcon" value="PirateChestIcon[T]" />
			<property name="Material" value="Mwood_regular"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="Path" value="solid"/>
			<property name="Model" value="#@modfolder:Resources/PirateChest.unity3d?PirateChestPrefab"/>
			<property name="FuelValue" value="300"/>
			<property name="CreativeMode" value="Player"/>
			<property class="RepairItems"> <property name="resourceWood" value="3"/> </property>
			<drop event="Harvest" name="resourceWood" count="2" tag="allHarvest"/>
			<drop event="Destroy" count="0"/>
			<drop event="Fall" name="terrDestroyedWoodDebris" count="1" prob="0.75" stick_chance="1"/>
			<property name="EconomicValue" value="250"/>
			<property name="FilterTags" value="fbuilding,fwood"/>
			<!--
			<property name="DowngradeBlock" value="Pirate_Chest_Unlocked[T]" />-->
		</block>
<block name="Pirate_Chest_Unlocked[T]">
			<property name="Group" value="Building"/>
			<property name="CustomIcon" value="PirateChestIcon[T]" />
			<property name="Material" value="Mwood_regular"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="Path" value="solid"/>
			<property name="Model" value="#@modfolder:Resources/PirateChest.unity3d?PirateChestPrefab"/>
			<property name="FuelValue" value="300"/>
			<property name="CreativeMode" value="Player"/>
	<property name="Class" value="Loot"/>
	<property name="LootList" value="127"/>
			<property class="RepairItems"> <property name="resourceWood" value="3"/> </property>
			<drop event="Harvest" name="resourceWood" count="2" tag="allHarvest"/>
			<drop event="Destroy" count="0"/>
			<drop event="Fall" name="terrDestroyedWoodDebris" count="1" prob="0.75" stick_chance="1"/>
			<property name="EconomicValue" value="250"/>
			<property name="EconomicBundleSize" value="1"/>
			<property name="FilterTags" value="fbuilding,fwood"/>
		</block>
<block name="Pirate_Sword_Decoration[T]">
			<property name="Group" value="Building"/>
			<property name="CustomIcon" value="PirateSwordDecorationIcon[T]" />
			<property name="Material" value="Mwood_regular"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="Path" value="solid"/>
			<property name="Model" value="#@modfolder:Resources/PirateSwordDeco.unity3d?PirateSwordDecoPrefab"/>
			<property name="FuelValue" value="300"/>
			<property name="CreativeMode" value="Player"/>
			<property class="RepairItems"> <property name="resourceWood" value="3"/> </property>
			<drop event="Harvest" name="resourceWood" count="2" tag="allHarvest"/>
			<drop event="Destroy" count="0"/>
			<drop event="Fall" name="terrDestroyedWoodDebris" count="1" prob="0.75" stick_chance="1"/>
			<property name="EconomicValue" value="150"/>
			<property name="FilterTags" value="fbuilding,fwood"/>
		</block>
<block name="Pirate_Pistol_Decoration[T]" >
		<property name="Extends" value="Pirate_Sword_Decoration[T]" />
		<property name="CustomIcon" value="PiratePistolDecorationIcon[T]" />
			<property name="Model" value="#@modfolder:Resources/PiratePistolDeco.unity3d?PiratePistolDecoPrefab"/>
</block>
<block name="Bush[T]">
			<property name="Group" value="Building"/>
			<property name="CustomIcon" value="BushIcon[T]" />
			<property name="Material" value="Mcobblestone"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="Path" value="solid"/>
			<property name="Model" value="#@modfolder:Resources/BushDeco.unity3d?BushDecoPrefab"/>
			<property name="FuelValue" value="300"/>
			<property name="CreativeMode" value="Player"/>
			<property class="RepairItems"> <property name="resourceCobblestones" value="3"/> </property>
			<drop event="Harvest" name="resourceWood" count="2" tag="allHarvest"/>
			<drop event="Destroy" count="0"/>
			<drop event="Fall" name="terrDestroyedWoodDebris" count="1" prob="0.75" stick_chance="1"/>
			<property name="EconomicValue" value="75"/>
			<property name="FilterTags" value="fbuilding,fwood"/>
			<property name="Collide" value="melee,bullet,arrow,rocket"/>
		</block>
<block name="Bush2[T]">
			<property name="Extends" value="Bush[T]" />
			<property name="CustomIcon" value="Bush2Icon[T]" />
			<property name="Model" value="#@modfolder:Resources/BushDeco2.unity3d?BushDeco2Prefab"/>
</block>
<block name="Stone_Wall[T]">
			<property name="Group" value="Building"/>
			<property name="CustomIcon" value="StoneWallIcon[T]" />
			<property name="Material" value="Mcobblestone"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="Path" value="solid"/>
			<property name="Model" value="#@modfolder:Resources/StoneWall.unity3d?StoneWallPrefab"/>
			<property name="FuelValue" value="300"/>
			<property name="CreativeMode" value="Player"/>
			<property class="RepairItems"> <property name="resourceCobblestones" value="3"/> </property>
			<drop event="Harvest" name="resourceWood" count="2" tag="allHarvest"/>
			<drop event="Destroy" count="0"/>
			<drop event="Fall" name="terrDestroyedWoodDebris" count="1" prob="0.75" stick_chance="1"/>
			<property name="EconomicValue" value="10" />
			<property name="FilterTags" value="fbuilding,fwood"/>
		</block>
<block name="Wood_Floor[T]">
			<property name="Group" value="Building"/>
			<property name="CustomIcon" value="WoodFloorIcon[T]" />
			<property name="Material" value="Mcobblestone"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="Path" value="solid"/>
			<property name="Model" value="#@modfolder:Resources/WoodFloor.unity3d?WoodFloorPrefab"/>
			<property name="FuelValue" value="300"/>
			<property name="CreativeMode" value="Player"/>
			<property class="RepairItems"> <property name="resourceCobblestones" value="3"/> </property>
			<drop event="Harvest" name="resourceWood" count="2" tag="allHarvest"/>
			<drop event="Destroy" count="0"/>
			<drop event="Fall" name="terrDestroyedWoodDebris" count="1" prob="0.75" stick_chance="1"/>
			<property name="EconomicValue" value="10" />
			<property name="FilterTags" value="fbuilding,fwood"/>
		</block>
<block name="Stone_Floor[T]" >
	<property name="Extends" value="Wood_Floor[T]" />
	<property name="CustomIcon" value="StoneFloorIcon[T]" />
			<property name="Model" value="#@modfolder:Resources/CobblestonePath2.unity3d?CobblestonePath2Prefab"/>
</block>
<block name="Maybells_Tub[T]">
	<property name="Material" value="MstoneNoGlue"/>
	<property name="MaxDamage" value="200"/>
	<property name="StabilitySupport" value="false"/>
	<property name="Shape" value="Ext3dModel"/> <property name="Texture" value="293"/>
	<property name="Mesh" value="models"/>
	<property name="Path" value="solid"/>
	<property name="Model" value="Plumbing/bath_tub_ver1" param1="main_mesh"/>
	<property name="DisplayType" value="blockMulti" />
	<property name="MultiBlockDim" value="1,1,2"/>
	<property name="ImposterExchange" value="imposterHalf" param1="148"/>
	<property class="RepairItems"> <property name="resourceCobblestones" value="10"/> </property>
	<drop event="Harvest" name="resourceRockSmall" count="12" tag="allHarvest"/>
	<drop event="Harvest" name="resourceScrapIron" count="4" tag="allHarvest"/>
	<drop event="Destroy" count="0"/>
	<drop event="Fall" name="terrDestroyedStone" count="1" prob="0.1" stick_chance="0.5"/>
	<property name="EconomicValue" value="56"/>
	<property name="FilterTags" value="fdecor,fother,ffurniture"/>
	<property name="DescriptionKey" value="decorationBlockGroupDesc"/>
			<property name="DowngradeBlock" value="Maybells_Tub_Air[T]" />	
	<property class="UpgradeBlock">
		<property name="ToBlock" value="Maybells_Tub_Air[T]"/>
		<property name="Item" value="Secret_Key[T]"/>
		<property name="ItemCount" value="1"/>
		<property name="UpgradeHitCount" value="1"/>
	</property>
</block>
<block name="Maybells_Tub_Air[T]">
	<property name="Material" value="Mair"/>
	<property name="Shape" value="Invisible"/>
	<property name="Texture" value="250"/>
	<property name="FilterTags" value="fterrain"/>
	<property name="SortOrder1" value="d0j0"/>
	<property name="SortOrder2" value="0050"/>
	<property name="Class" value="UpgradeRated"/>
	<property name="DisplayType" value="blockMulti" />
	<property name="MultiBlockDim" value="1,1,2"/>
	<property name="UpgradeRated.ToBlock" value="Maybells_Tub[T]"/>
	<property name="UpgradeRated.Rate" value="2"/>
</block>
<block name="Anchor[T]">
			<property name="Group" value="Building"/>
			<property name="CustomIcon" value="AnchorIcon[T]" />
			<property name="Material" value="Mwood_regular"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="Path" value="solid"/>
			<property name="Model" value="#@modfolder:Resources/Anchor.unity3d?AnchorPrefab"/>
			<property name="FuelValue" value="300"/>
			<property name="CreativeMode" value="Player"/>
			<property class="RepairItems"> <property name="resourceWood" value="3"/> </property>
			<drop event="Harvest" name="resourceWood" count="2" tag="allHarvest"/>
			<drop event="Destroy" count="0"/>
			<drop event="Fall" name="terrDestroyedWoodDebris" count="1" prob="0.75" stick_chance="1"/>
			<property name="EconomicValue" value="250"/>
			<property name="FilterTags" value="fbuilding,fwood"/>
		</block>
<block name="Cooking_Pot[T]">
			<property name="Group" value="Building"/>
			<property name="CustomIcon" value="CookingPotIcon[T]" />
			<property name="Material" value="Mwood_regular"/>
			<property name="Shape" value="ModelEntity"/>
			<property name="Path" value="solid"/>
			<property name="Model" value="#@modfolder:Resources/CookingPot.unity3d?CookingPotPrefab"/>
			<property name="FuelValue" value="300"/>
			<property name="CreativeMode" value="Player"/>
			<property class="RepairItems"> <property name="resourceWood" value="3"/> </property>
			<drop event="Harvest" name="resourceWood" count="2" tag="allHarvest"/>
			<drop event="Destroy" count="0"/>
			<drop event="Fall" name="terrDestroyedWoodDebris" count="1" prob="0.75" stick_chance="1"/>
			<property name="EconomicValue" value="150"/>
			<property name="FilterTags" value="fbuilding,fwood"/>
		</block>

</append>

<!-- Additions to Vanilla Blocks -->
<append xpath="/blocks/block[@name='terrStone']">
		<drop event="Harvest" name="Fossil[T]" count="1,4" prob="0.15" tag="allHarvest"/>
	</append>


	

</configs>



